import React from 'react';
import { Button, Card, Form, Input,Select } from 'antd';
import { connect } from 'dva';

const FormItem = Form.Item;

class AddTagsForm extends React.Component {
  constructor(props) {
    super(props);
    this.state = {

    };
  }
  handleSubmit = (e) => {
    e.preventDefault();
    this.props.form.validateFields((err, values) => {

    });
  };
  render() {
    const { getFieldDecorator  } = this.props.form;

    return(
      <Card
        title="标签登记"
        headStyle={{textAlign: "Center"}}
        style={{width: 350}}
      >
        <Form onSubmit={this.handleSubmit}>
          <FormItem label="标签类型">
            {
              getFieldDecorator('TagType',{
                rules: [
                  {
                    required: true,
                    whitespace: true,
                  },
                  ]
              })(<Select />)
            }
          </FormItem>
          <FormItem label="标签名称">
            {
              getFieldDecorator('TagName',{
                rules: [
                  {
                    required: true,
                    whitespace: true,
                  },
                ]
              })(<Input />)
            }
          </FormItem>
          <FormItem label="标签描述">
            {
              getFieldDecorator('TagDescription',{

              })(<Input />)
            }
          </FormItem>
          <FormItem label="标签位置">
            {
              getFieldDecorator('TagPosition',{
                rules: [
                  {
                    required: true,
                    whitespace: true,
                  },
                ]
              })(<Input />)
            }
          </FormItem>
          <FormItem label="标签图标">
            {
              getFieldDecorator('TagIcon',{

              })(<Select />)
            }
          </FormItem>
          <FormItem>
            <Button type="primary" htmlType="submit">Search</Button>
            <Button type="primary">取消</Button>
          </FormItem>
        </Form>
      </Card>
    );
  }
}
// 这里的写法一定要记清楚，不是Form.create(<AddTagsForm/>);写错之后无比的蛋疼
const AddTagForm =Form.create()(AddTagsForm);
export default connect()(AddTagForm);
